Update Comment
Update a comment
Request
PATCH
https://api.sourcecraft.tech/issue_comments/id:{issue_comment_id}
Path parameters
|
Name |
Description |
|
issue_comment_id |
Type: string Example: `` |
Query parameters
|
Name |
Description |
|
silent |
Type: boolean do not notify subscribers |
Body
application/json
{
"body": "example"
}
|
Name |
Description |
|
body |
Type: string Example: |
Responses
200 OK
A successful response.
Body
application/json
{
"id": "example",
"body": "example",
"parent": {
"id": "example"
},
"author": {
"id": "example",
"slug": "example"
},
"updated_by": null,
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2025-01-01T00:00:00Z",
"reactions": {},
"attachments": [
{
"id": "example"
}
]
}
|
Name |
Description |
||
|
attachments |
Type: AttachmentEmbedded[] Example
|
||
|
author |
Type: UserEmbedded Example
|
||
|
body |
Type: string Example: |
||
|
created_at |
Type: string<date-time> Example: |
||
|
id |
Type: string Example: |
||
|
parent |
Type: IssueCommentEmbedded Example
|
||
|
reactions |
Type: key is one of Reactions
Example
|
||
|
updated_at |
Type: string<date-time> Example: |
||
|
updated_by |
Type: UserEmbedded Example
|
IssueCommentEmbedded
|
Name |
Description |
|
id |
Type: string Example: |
Example
{
"id": "example"
}
UserEmbedded
|
Name |
Description |
|
id |
Type: string Example: |
|
slug |
Type: string Example: |
Example
{
"id": "example",
"slug": "example"
}
ReactionCount
|
Name |
Description |
|
count |
Type: integer |
|
self_react |
Type: boolean |
Example
{
"count": 0,
"self_react": true
}
default
Both Client Errors (4xx) and Server Errors (5xx) are serialized into this scheme
Body
application/json
{
"error_code": "example",
"message": "example",
"request_id": "example",
"details": {}
}
|
Name |
Description |
||
|
details |
Type: Optional details. Exact structure depends on error_code
Example
|
||
|
error_code |
Type: string Example: |
||
|
message |
Type: string Example: |
||
|
request_id |
Type: string Example: |